# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class VerificationMethod

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.webmastertools.VerificationMethod

All Implemented Interfaces:
  Extension

    public class VerificationMethod

extends AbstractExtension

GData schema extension describing a node specifying verification method. The verification method specifies a type of verification (HTML meta tag or file verification), verification value to be used by web site owner for the given type, and whether the given verification method is currently in use. Example:

          SOMEVALUE

Nested Class Summary
`static class` `VerificationMethod.MethodType` Enumerates supported verification method types.

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String` `METHOD_NODE` XML element names used by this class.

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`VerificationMethod()` Constructs `AbstractExtension` to represent verification method node.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Overrides base class method to parse attributes specific to this class.
`boolean` `equals(java.lang.Object rhs)` Compares `VerificationMethod` objects based on the verification method type, value, file-content and in-use flag.
`java.lang.String` `getFileContent()` Returns file content for HTML file verification.
`boolean` `getInUse()` Returns verification method that is currently in use.
`VerificationMethod.MethodType` `getMethodType()` Get verification method type.
`java.lang.String` `getValue()` Get verification method value.
`int` `hashCode()` Returns hash code which is based on the method type.
`static boolean` `matchesNode(java.lang.String nodeName)` Checks whether specified node name matches node name for the verification method.
`protected void` `putAttributes(AttributeGenerator generator)` Overrides base class method to output attributes defined by this class.
`void` `setFileContent(java.lang.String fileContent)` Sets file content for HTML file verification.
`void` `setInUse(boolean inUse)` Mark this method as the verification method that is currently in use.
`void` `setMethodType(VerificationMethod.MethodType method)` Set verification method type.
`void` `setValue(java.lang.String v)` Sets verification method value.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_NODE

    public static final java.lang.String METHOD_NODE

  XML element names used by this class.

  See Also:
    Constant Field Values

Constructor Detail

### VerificationMethod

    public VerificationMethod()

  Constructs `AbstractExtension` to represent verification method node.

Method Detail

### matchesNode

    public static boolean matchesNode(java.lang.String nodeName)

  Checks whether specified node name matches node name for the verification method.

  Parameters:
    `nodeName` - is node name to check against.
  Returns:
    `true` if the name matches or `false` otherwise.

### equals

    public boolean equals(java.lang.Object rhs)

  Compares `VerificationMethod` objects based on the verification method type, value, file-content and in-use flag.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Returns hash code which is based on the method type.

  Overrides:
    `hashCode` in class `java.lang.Object`

### setMethodType

    public void setMethodType(VerificationMethod.MethodType method)

  Set verification method type.

### getMethodType

    public VerificationMethod.MethodType getMethodType()

  Get verification method type.

### setInUse

    public void setInUse(boolean inUse)

  Mark this method as the verification method that is currently in use.

### getInUse

    public boolean getInUse()

  Returns verification method that is currently in use.

### setFileContent

    public void setFileContent(java.lang.String fileContent)

  Sets file content for HTML file verification.

### getFileContent

    public java.lang.String getFileContent()

  Returns file content for HTML file verification.

### setValue

    public void setValue(java.lang.String v)

  Sets verification method value. The value is a string that is interpreted according to the method type.

### getValue

    public java.lang.String getValue()

  Get verification method value. The value is a string that is interpreted according to the method type.

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Overrides base class method to output attributes defined by this class.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Overrides base class method to parse attributes specific to this class.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception